import { Liquid } from 'liquidjs'
import pov from 'point-of-view'
import path from 'path'

/**
 *  plugin: usindg render engine liquidjs
 *
 *
 */

function plugin(fastify, options, next) {
{
    const engine = new Liquid({
        root: path.join(path.resolve(), '/views'),
        extname: '.liquid',
    })

    fastify.register(pov, {
        engine: {
            liquid: engine
        }
    })
}

module.exports = plugin